PlasticFileChooserUI (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks.plastic

## Class PlasticFileChooserUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.FileChooserUI
    - - javax.swing.plaf.basic.BasicFileChooserUI
      - - javax.swing.plaf.metal.MetalFileChooserUI
        - - com.jgoodies.looks.plastic.PlasticFileChooserUI

-     public final class PlasticFileChooserUI
      extends MetalFileChooserUI

  The JGoodies Plastic L&F implementation of `FileChooserUI`. Uses `FileSystemView.getSystemIcon(File)` to look up icons for files.

  Thanks to Andrej Golovnin for his feedback and suggestions.

  Version:
    $Revision: 1.7 $
  Author:
    Karsten Lentzsch
  See Also:
    `FileSystemView.getSystemIcon(File)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.metal.MetalFileChooserUI

      `MetalFileChooserUI.DirectoryComboBoxAction, MetalFileChooserUI.DirectoryComboBoxModel, MetalFileChooserUI.FileRenderer, MetalFileChooserUI.FilterComboBoxModel, MetalFileChooserUI.FilterComboBoxRenderer, MetalFileChooserUI.SingleClickListener`

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicFileChooserUI

      `BasicFileChooserUI.AcceptAllFileFilter, BasicFileChooserUI.ApproveSelectionAction, BasicFileChooserUI.BasicFileView, BasicFileChooserUI.CancelSelectionAction, BasicFileChooserUI.ChangeToParentDirectoryAction, BasicFileChooserUI.DoubleClickListener, BasicFileChooserUI.GoHomeAction, BasicFileChooserUI.NewFolderAction, BasicFileChooserUI.SelectionListener, BasicFileChooserUI.UpdateAction`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicFileChooserUI

      `cancelButtonMnemonic, cancelButtonText, cancelButtonToolTipText, computerIcon, detailsViewIcon, directoryIcon, directoryOpenButtonMnemonic, directoryOpenButtonText, directoryOpenButtonToolTipText, fileIcon, floppyDriveIcon, hardDriveIcon, helpButtonMnemonic, helpButtonText, helpButtonToolTipText, homeFolderIcon, listViewIcon, newFolderIcon, openButtonMnemonic, openButtonText, openButtonToolTipText, saveButtonMnemonic, saveButtonText, saveButtonToolTipText, updateButtonMnemonic, updateButtonText, updateButtonToolTipText, upFolderIcon, viewMenuIcon`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticFileChooserUI(JFileChooser fileChooser)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearIconCache()`
    `static ComponentUI` | `createUI(JComponent c)`
    `FileView` | `getFileView(JFileChooser fc)`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalFileChooserUI

      `addControlButtons, createActionMap, createDetailsView, createDirectoryComboBoxModel, createDirectoryComboBoxRenderer, createFilterComboBoxModel, createFilterComboBoxRenderer, createList, createListSelectionListener, createPropertyChangeListener, ensureFileIsVisible, getActionMap, getApproveButton, getBottomPanel, getButtonPanel, getDirectoryName, getFileName, getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installListeners, installStrings, installUI, removeControlButtons, rescanCurrentDirectory, setDirectoryName, setDirectorySelected, setFileName, uninstallComponents, uninstallUI, valueChanged`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicFileChooserUI

      `createDoubleClickListener, createModel, getAcceptAllFileFilter, getAccessoryPanel, getApproveButtonMnemonic, getApproveButtonText, getApproveButtonToolTipText, getApproveSelectionAction, getCancelSelectionAction, getChangeToParentDirectoryAction, getDefaultButton, getDialogTitle, getDirectory, getFileChooser, getGoHomeAction, getModel, getNewFolderAction, getUpdateAction, installDefaults, installIcons, isDirectorySelected, setDirectory, uninstallDefaults, uninstallIcons, uninstallListeners, uninstallStrings`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlasticFileChooserUI

          public PlasticFileChooserUI(JFileChooser fileChooser)

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent c)

    - #### clearIconCache

          public void clearIconCache()

      Overrides:
        `clearIconCache` in class `BasicFileChooserUI`

    - #### getFileView

          public FileView getFileView(JFileChooser fc)

      Overrides:
        `getFileView` in class `BasicFileChooserUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.